#
# Description:  Load in parameters required for the Armor Sculptures Book
# Called by:	n/a
# Entity @s:	None
#

#Setup scoreboards
scoreboard objectives add sculptures.help dummy
scoreboard objectives add sculptures.entity_mode dummy
scoreboard objectives add sculptures.nudge_increment dummy
scoreboard objectives add sculptures.scale_nudge_increment dummy
scoreboard objectives add sculptures.rotation_increment dummy
scoreboard objectives add sculptures.transformation_mode dummy
scoreboard objectives add sculptures.aspect_ratio_lock dummy
scoreboard objectives add sculptures.block_numeric_value dummy
scoreboard objectives add sculptures.stopLoop dummy "Sculptures Stop Loop"
scoreboard objectives add sculptures.raycast dummy "Sculptures Raycast"
scoreboard objectives add sculptures.angle_storage dummy
scoreboard objectives add sculptures.math_value dummy
scoreboard objectives add sculptures.Math_Constants dummy
scoreboard objectives add sculptures.Config dummy
scoreboard objectives add sculptures.arrayHelper dummy

scoreboard players set #10000 sculptures.Math_Constants 10000
scoreboard players set #PI sculptures.Math_Constants 31415
scoreboard players set #2 sculptures.Math_Constants 2
scoreboard players set #6 sculptures.Math_Constants 6
scoreboard players set #24 sculptures.Math_Constants 24
scoreboard players set #120 sculptures.Math_Constants 120
scoreboard players set #180 sculptures.Math_Constants 180
scoreboard players set #720 sculptures.Math_Constants 720
scoreboard players set #5040 sculptures.Math_Constants 5040
scoreboard players set #180 sculptures.Math_Constants 180
scoreboard players set #-180 sculptures.Math_Constants -180
scoreboard players set #-1 sculptures.Math_Constants -1
scoreboard players set #10 sculptures.Math_Constants 10

scoreboard players set #MaxPivot sculptures.Config 10
scoreboard players set #MaxScale sculptures.Config 10
scoreboard players set #MinScale sculptures.Config 0
scoreboard players set #UseUpItem sculptures.Config 1
scoreboard players set #ConfigHelper sculptures.Config 0

scoreboard players set #ArraySize sculptures.arrayHelper 0
scoreboard players set #UUID_Storage_0 sculptures.arrayHelper 0
scoreboard players set #UUID_Storage_1 sculptures.arrayHelper 0
scoreboard players set #UUID_Storage_2 sculptures.arrayHelper 0
scoreboard players set #UUID_Storage_3 sculptures.arrayHelper 0
scoreboard players set #UUID_Player_0 sculptures.arrayHelper 0
scoreboard players set #UUID_Player_1 sculptures.arrayHelper 0
scoreboard players set #UUID_Player_2 sculptures.arrayHelper 0
scoreboard players set #UUID_Player_3 sculptures.arrayHelper 0
scoreboard players set #XPos sculptures.arrayHelper 0
scoreboard players set #YPos sculptures.arrayHelper 0
scoreboard players set #ZPos sculptures.arrayHelper 0
scoreboard players set #XPosTemp sculptures.arrayHelper 0
scoreboard players set #YPosTemp sculptures.arrayHelper 0
scoreboard players set #ZPosTemp sculptures.arrayHelper 0

scoreboard objectives add sculptures.glow_color trigger
scoreboard players enable * sculptures.glow_color
scoreboard objectives add sculptures.text_opacity trigger
scoreboard players enable * sculptures.text_opacity
scoreboard objectives add sculptures.line_width trigger
scoreboard players enable * sculptures.line_width

scoreboard objectives add sculptures.trigger trigger
scoreboard players enable * sculptures.trigger
scoreboard objectives add if_invisible trigger
scoreboard players enable * if_invisible
scoreboard objectives add if_visible trigger
scoreboard players enable * if_visible
scoreboard players set * sculptures.aspect_ratio_lock -1

data modify storage minecraft:sculptures_storage sculptures.copiedData set value []
data modify storage minecraft:sculptures_storage sculptures.tempData set value {}
data modify storage minecraft:sculptures_storage sculptures.foundPlayer set value 0
data modify storage minecraft:sculptures_storage sculptures.posStorage set value []

#Begin timer that runs every tick
function sculptures:tick