#
# Description:  Runs trigger functionality for page 5
# Called by:	sculptures:tick
# Entity @s:	Player
#

execute if entity @s[scores={sculptures.entity_mode=1}] at @s[scores={sculptures.entity_mode=1}] as @n[tag=!sculptures.locked,type=block_display,distance=..5] run tag @s add sculptures.selected
execute if entity @s[scores={sculptures.entity_mode=2}] at @s[scores={sculptures.entity_mode=2}] as @n[tag=!sculptures.locked,type=item_display,distance=..5] run tag @s add sculptures.selected
execute if entity @s[scores={sculptures.entity_mode=3}] at @s[scores={sculptures.entity_mode=3}] as @n[tag=!sculptures.locked,type=text_display,distance=..5] run tag @s add sculptures.selected

#Copy scoreboard to display entity
scoreboard players operation @e[type=#display_entities,tag=sculptures.selected] sculptures.trigger = @s sculptures.trigger

#Get player info
data modify storage minecraft:sculptures_storage sculptures.foundPlayer set value 0
execute store result score #UUID_Player_0 sculptures.arrayHelper run data get entity @s UUID[0]
execute store result score #UUID_Player_1 sculptures.arrayHelper run data get entity @s UUID[1]
execute store result score #UUID_Player_2 sculptures.arrayHelper run data get entity @s UUID[2]
execute store result score #UUID_Player_3 sculptures.arrayHelper run data get entity @s UUID[3]
execute store result score #ArraySize sculptures.arrayHelper run data get storage minecraft:sculptures_storage sculptures.copiedData
execute if score #ArraySize sculptures.arrayHelper matches 1.. run function sculptures:triggers/page5/step_through_copied_data
execute if data storage minecraft:sculptures_storage sculptures{foundPlayer:0} run function sculptures:triggers/page5/setup_copied_data

#Copy Transform
execute if entity @s[scores={sculptures.trigger=501}] run function sculptures:triggers/page5/copy_transform

#Paste Transform
execute if entity @s[scores={sculptures.trigger=502}] run function sculptures:triggers/page5/paste_transform

#Copy Brightness
execute if entity @s[scores={sculptures.trigger=503}] run function sculptures:triggers/page5/copy_brightness

#Paste Brightness
execute if entity @s[scores={sculptures.trigger=504}] run function sculptures:triggers/page5/paste_brightness

#Copy Shadow
execute if entity @s[scores={sculptures.trigger=505}] run function sculptures:triggers/page5/copy_shadow

#Paste Shadow
execute if entity @s[scores={sculptures.trigger=506}] run function sculptures:triggers/page5/paste_shadow

#Copy Billboard
execute if entity @s[scores={sculptures.trigger=507}] run function sculptures:triggers/page5/copy_billboard

#Paste Billboard
execute if entity @s[scores={sculptures.trigger=508}] run function sculptures:triggers/page5/paste_billboard

#Copy Glow
execute if entity @s[scores={sculptures.trigger=509}] run function sculptures:triggers/page5/copy_glow

#Paste Glow
execute if entity @s[scores={sculptures.trigger=510}] run function sculptures:triggers/page5/paste_glow

#Copy Block states
execute if entity @s[scores={sculptures.trigger=511}] run function sculptures:triggers/page5/copy_block_states

#Paste Block states
execute if entity @s[scores={sculptures.trigger=512}] run function sculptures:triggers/page5/paste_block_states

#Copy All
execute if entity @s[scores={sculptures.trigger=513}] run function sculptures:triggers/page5/copy_all

#Paste All
execute if entity @s[scores={sculptures.trigger=514}] run function sculptures:triggers/page5/paste_all

#Copy Group
execute if score #UseUpItem sculptures.Config matches 0 if entity @s[scores={sculptures.trigger=515}] run function sculptures:triggers/page5/copy_group_within_5_blocks
execute if score #UseUpItem sculptures.Config matches 1 if entity @s[scores={sculptures.trigger=515}] run title @s actionbar {"color":"dark_red","text":"Cannot use this feature when the 'Use Up Item' config is set to true"}

#Paste Group
execute if score #UseUpItem sculptures.Config matches 0 if entity @s[scores={sculptures.trigger=516}] run function sculptures:triggers/page5/paste_group
execute if score #UseUpItem sculptures.Config matches 1 if entity @s[scores={sculptures.trigger=516}] run title @s actionbar {"color":"dark_red","text":"Cannot use this feature when the 'Use Up Item' config is set to true"}