#
# Description:  Runs trigger functionality for page 8
# Called by:	sculptures:tick
# Entity @s:	Player
#

execute if entity @s[scores={sculptures.entity_mode=1}] at @s[scores={sculptures.entity_mode=1}] as @n[tag=!sculptures.locked,type=block_display,distance=..5] run tag @s add sculptures.selected

#Get player info
data modify storage minecraft:sculptures_storage sculptures.foundPlayer set value 0
execute store result score #UUID_Player_0 sculptures.arrayHelper run data get entity @s UUID[0]
execute store result score #UUID_Player_1 sculptures.arrayHelper run data get entity @s UUID[1]
execute store result score #UUID_Player_2 sculptures.arrayHelper run data get entity @s UUID[2]
execute store result score #UUID_Player_3 sculptures.arrayHelper run data get entity @s UUID[3]
execute store result score #ArraySize sculptures.arrayHelper run data get storage minecraft:sculptures_storage sculptures.copiedData
execute if score #ArraySize sculptures.arrayHelper matches 1.. run function sculptures:triggers/page5/step_through_copied_data
execute if data storage minecraft:sculptures_storage sculptures{foundPlayer:0} run function sculptures:triggers/page5/setup_copied_data

execute if entity @s[scores={sculptures.trigger=801}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "0"
execute if entity @s[scores={sculptures.trigger=802}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "1"
execute if entity @s[scores={sculptures.trigger=803}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "2"
execute if entity @s[scores={sculptures.trigger=804}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "3"
execute if entity @s[scores={sculptures.trigger=805}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "4"
execute if entity @s[scores={sculptures.trigger=806}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "5"
execute if entity @s[scores={sculptures.trigger=807}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "6"
execute if entity @s[scores={sculptures.trigger=808}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "7"
execute if entity @s[scores={sculptures.trigger=809}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "8"
execute if entity @s[scores={sculptures.trigger=810}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "9"
execute if entity @s[scores={sculptures.trigger=811}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "10"
execute if entity @s[scores={sculptures.trigger=812}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "11"
execute if entity @s[scores={sculptures.trigger=813}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "12"
execute if entity @s[scores={sculptures.trigger=814}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "13"
execute if entity @s[scores={sculptures.trigger=815}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "14"
execute if entity @s[scores={sculptures.trigger=816}] run data modify storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value set value "15"

execute if entity @s[scores={sculptures.trigger=817}] run data modify entity @n[tag=sculptures.selected] block_state.Properties.age set from storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value

execute if entity @s[scores={sculptures.trigger=818}] run data modify entity @n[tag=sculptures.selected] block_state.Properties.level set from storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value

execute if entity @s[scores={sculptures.trigger=819}] run data modify entity @n[tag=sculptures.selected] block_state.Properties.honey_level set from storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value

execute if entity @s[scores={sculptures.trigger=820}] run data modify entity @n[tag=sculptures.selected] block_state.Properties.power set from storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value

execute if entity @s[scores={sculptures.trigger=821}] run data modify entity @n[tag=sculptures.selected] block_state.Properties.candles set from storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value

execute if entity @s[scores={sculptures.trigger=822}] run data modify entity @n[tag=sculptures.selected] block_state.Properties.eggs set from storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value

execute if entity @s[scores={sculptures.trigger=823}] run data modify entity @n[tag=sculptures.selected] block_state.Properties.pickles set from storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value

execute if entity @s[scores={sculptures.trigger=824}] run data modify entity @n[tag=sculptures.selected] block_state.Properties.flower_amount set from storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value

execute if entity @s[scores={sculptures.trigger=825}] run data modify entity @n[tag=sculptures.selected] block_state.Properties.bites set from storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value

execute if entity @s[scores={sculptures.trigger=826}] run data modify entity @n[tag=sculptures.selected] block_state.Properties.delay set from storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value

execute if entity @s[scores={sculptures.trigger=827}] run data modify entity @n[tag=sculptures.selected] block_state.Properties.charges set from storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value

execute if entity @s[scores={sculptures.trigger=828}] run data modify entity @n[tag=sculptures.selected] block_state.Properties.layers set from storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value

execute if entity @s[scores={sculptures.trigger=829}] run data modify entity @n[tag=sculptures.selected] block_state.Properties.moisture set from storage minecraft:sculptures_storage sculptures.copiedData[0].block_numeric_value