#
# Description:  Add a new Display Entity based on the offhand slot
# Called by:	sculptures:page_1_trigger
# Entity @s:	Player
#

execute if entity @s[scores={sculptures.entity_mode=1},nbt={Inventory:[{Slot:-106b}]}] run tag @s add sculptures.creating_block_entity
execute if entity @s[tag=sculptures.creating_block_entity] if items entity @s weapon.offhand #sculptures:ignore_blocks run return fail
execute as @p[tag=sculptures.creating_block_entity] run summon block_display ~ ~1 ~
execute as @e[type=block_display,nbt={block_state:{Name:"minecraft:air"}}] run tag @s add sculptures.display_just_added
execute if entity @e[type=block_display,tag=sculptures.display_just_added] if items entity @s weapon.offhand #sculptures:items_to_blocks run function sculptures:triggers/page2/items_to_blocks
execute unless items entity @s weapon.offhand #sculptures:items_to_blocks as @e[type=block_display,tag=sculptures.display_just_added] run data modify entity @s block_state.Name set from entity @p[tag=sculptures.creating_block_entity] Inventory[{Slot:-106b}].id
execute as @e[type=block_display,nbt={block_state:{Name:"minecraft:air"}},tag=sculptures.display_just_added] run kill @s
execute as @e[type=block_display,tag=sculptures.display_just_added] run data modify entity @s transformation.right_rotation set value {axis:[0,0,1],angle:0}
execute as @e[type=block_display,tag=sculptures.display_just_added] run scoreboard players enable @s sculptures.angle_storage
execute as @e[type=block_display,tag=sculptures.display_just_added] run scoreboard players set @s sculptures.angle_storage 180

execute if entity @s[scores={sculptures.entity_mode=2},nbt={Inventory:[{Slot:-106b}]}] run tag @s add sculptures.creating_item_entity
execute as @p[tag=sculptures.creating_item_entity] run summon item_display ~ ~1 ~
execute as @e[type=item_display,nbt=!{item:{}}] run tag @s add sculptures.display_just_added
execute as @e[type=item_display,tag=sculptures.display_just_added] run item replace entity @s container.0 from entity @p[tag=sculptures.creating_item_entity] weapon.offhand
execute as @e[type=item_display,tag=sculptures.display_just_added] run data modify entity @s item.Count set value 1b
execute as @e[type=item_display,nbt=!{item:{}},tag=sculptures.display_just_added] run kill @s
execute as @e[type=item_display,tag=sculptures.display_just_added] run data modify entity @s transformation.right_rotation set value {axis:[0,0,1],angle:0}
execute as @e[type=item_display,tag=sculptures.display_just_added] run scoreboard players enable @s sculptures.angle_storage
execute as @e[type=item_display,tag=sculptures.display_just_added] run scoreboard players set @s sculptures.angle_storage 180

execute unless entity @s[gamemode=creative] if entity @e[type=#display_entities,tag=sculptures.display_just_added] if score #UseUpItem sculptures.Config matches 1 run item modify entity @s[tag=sculptures.creating_block_entity] weapon.offhand sculptures:remove_item
execute unless entity @s[gamemode=creative] if entity @e[type=#display_entities,tag=sculptures.display_just_added] if score #UseUpItem sculptures.Config matches 1 run item modify entity @s[tag=sculptures.creating_item_entity] weapon.offhand sculptures:remove_item

execute if entity @s[scores={sculptures.entity_mode=3},nbt={Inventory:[{Slot:-106b}]}] run tag @s add sculptures.creating_text_entity
execute as @p[tag=sculptures.creating_text_entity] run summon text_display ~ ~1 ~
execute as @e[type=text_display,nbt={text:'""'}] run tag @s add sculptures.display_just_added
execute as @e[type=text_display,tag=sculptures.display_just_added] run data modify entity @s text set from entity @p[tag=sculptures.creating_text_entity] Inventory[{Slot:-106b}].components.minecraft:custom_name
execute as @e[type=text_display,nbt={text:'""'},tag=sculptures.display_just_added] run kill @s
execute as @e[type=text_display,tag=sculptures.display_just_added] run data modify entity @s transformation.right_rotation set value {axis:[0,0,1],angle:0}
execute as @e[type=text_display,tag=sculptures.display_just_added] run data modify entity @s text_opacity set value 255
execute as @e[type=text_display,tag=sculptures.display_just_added] run scoreboard players enable @s sculptures.angle_storage
execute as @e[type=text_display,tag=sculptures.display_just_added] run scoreboard players set @s sculptures.angle_storage 180

tag @s remove sculptures.creating_block_entity
tag @s remove sculptures.creating_item_entity
tag @s remove sculptures.creating_text_entity

execute as @e[type=block_display,tag=sculptures.display_just_added] at @s align xyz run tp @s ~ ~ ~
execute as @e[type=item_display,tag=sculptures.display_just_added] at @s align xyz run tp @s ~0.5 ~0.5 ~0.5
execute as @e[type=text_display,tag=sculptures.display_just_added] at @s align xyz run tp @s ~0.5 ~0.5 ~0.5

execute as @e[type=#display_entities,tag=sculptures.display_just_added] run data modify entity @s view_range set value 2
execute as @e[type=#display_entities,tag=sculptures.display_just_added] run tag @s remove sculptures.display_just_added
