#
# Description:  Swap the nearest display entity information with the information of the item in the offhand slot
# Called by:	sculptures:page_1_trigger
# Entity @s:	Player
#
#as @n[tag=sculptures.selected] 

execute if entity @s[scores={sculptures.entity_mode=1},nbt={Inventory:[{Slot:-106b}]}] run tag @s add sculptures.creating_block_entity
execute as @p[tag=sculptures.creating_block_entity] run summon block_display ~ ~1 ~
execute as @e[type=block_display,nbt={block_state:{Name:"minecraft:air"}}] run tag @s add sculptures.display_just_added
execute if entity @e[type=block_display,tag=sculptures.display_just_added] if items entity @s weapon.offhand #sculptures:items_to_blocks run function sculptures:triggers/page2/items_to_blocks
execute unless items entity @s weapon.offhand #sculptures:items_to_blocks as @e[type=block_display,tag=sculptures.display_just_added] run data modify entity @s block_state.Name set from entity @p[tag=sculptures.creating_block_entity] Inventory[{Slot:-106b}].id
execute as @e[type=block_display,nbt={block_state:{Name:"minecraft:air"}},tag=sculptures.display_just_added] run kill @s

execute if entity @s[scores={sculptures.entity_mode=2},nbt={Inventory:[{Slot:-106b}]}] run tag @s add sculptures.creating_item_entity
execute as @p[tag=sculptures.creating_item_entity] run summon item_display ~ ~1 ~
execute as @e[type=item_display,nbt=!{item:{}}] run tag @s add sculptures.display_just_added
execute as @e[type=item_display,tag=sculptures.display_just_added] run item replace entity @s container.0 from entity @p[tag=sculptures.creating_item_entity] weapon.offhand
execute as @e[type=item_display,tag=sculptures.display_just_added] run data modify entity @s item.Count set value 1b
execute as @e[type=item_display,nbt=!{item:{}},tag=sculptures.display_just_added] run kill @s

execute unless entity @s[gamemode=creative] if entity @e[tag=sculptures.display_just_added] if score #UseUpItem sculptures.Config matches 1 run item modify entity @s[tag=sculptures.creating_block_entity] weapon.offhand sculptures:remove_item
execute unless entity @s[gamemode=creative] if entity @e[tag=sculptures.display_just_added] if score #UseUpItem sculptures.Config matches 1 run item modify entity @s[tag=sculptures.creating_item_entity] weapon.offhand sculptures:remove_item

data modify entity @n[tag=sculptures.selected] text set from entity @s Inventory[{Slot:-106b}].components.minecraft:custom_name
kill @e[type=text_display,nbt={text:'""'},tag=sculptures.display_just_added]

execute as @e[tag=sculptures.display_just_added] run data modify entity @s Glowing set from entity @n[tag=sculptures.selected] Glowing
execute as @e[tag=sculptures.display_just_added] run data modify entity @s glow_color_override set from entity @n[tag=sculptures.selected] glow_color_override
execute as @e[tag=sculptures.display_just_added] run data modify entity @s shadow_radius set from entity @n[tag=sculptures.selected] shadow_radius
execute as @e[tag=sculptures.display_just_added] run data modify entity @s transformation set from entity @n[tag=sculptures.selected] transformation
execute as @e[tag=sculptures.display_just_added] run data modify entity @s billboard set from entity @n[tag=sculptures.selected] billboard
execute as @e[tag=sculptures.display_just_added] run data modify entity @s shadow_strength set from entity @n[tag=sculptures.selected] shadow_strength
execute as @e[tag=sculptures.display_just_added] run data modify entity @s Rotation set from entity @n[tag=sculptures.selected] Rotation
execute as @e[tag=sculptures.display_just_added] run data modify entity @s Pos set from entity @n[tag=sculptures.selected] Pos
execute as @e[tag=sculptures.display_just_added] run scoreboard players enable @s sculptures.angle_storage
execute as @e[tag=sculptures.display_just_added] run scoreboard players operation @s sculptures.angle_storage = @n[tag=sculptures.selected] sculptures.angle_storage
execute as @e[tag=sculptures.display_just_added] if data entity @n[tag=sculptures.selected] brightness run data modify entity @s brightness set from entity @n[tag=sculptures.selected] brightness

tag @s remove sculptures.creating_block_entity
tag @s remove sculptures.creating_item_entity
execute as @e[tag=sculptures.display_just_added] run data modify entity @s view_range set value 2

execute if entity @s[gamemode=!creative] if entity @e[tag=sculptures.display_just_added] as @e[tag=sculptures.selected] run function sculptures:triggers/page2/remove_display_entity
execute if entity @s[gamemode=creative] if entity @e[tag=sculptures.display_just_added] run kill @e[tag=sculptures.selected]

execute as @e[tag=sculptures.display_just_added] run tag @s remove sculptures.display_just_added