#
# Description:  Steps through copied displays and get offset from center
# Called by:	sculptures:triggers/page4/copy_within_5_blocks
# Entity @s:	Player
#

scoreboard players remove #ArraySize sculptures.arrayHelper 1

execute store result score #XPosTemp sculptures.arrayHelper run data get storage minecraft:sculptures_storage sculptures.posStorage[0].Pos[0] 1000
scoreboard players operation #XPosTemp sculptures.arrayHelper -= #XPos sculptures.arrayHelper
execute store result score #YPosTemp sculptures.arrayHelper run data get storage minecraft:sculptures_storage sculptures.posStorage[0].Pos[1] 1000
scoreboard players operation #YPosTemp sculptures.arrayHelper -= #YPos sculptures.arrayHelper
execute store result score #ZPosTemp sculptures.arrayHelper run data get storage minecraft:sculptures_storage sculptures.posStorage[0].Pos[2] 1000
scoreboard players operation #ZPosTemp sculptures.arrayHelper -= #ZPos sculptures.arrayHelper

execute store result storage minecraft:sculptures_storage sculptures.posStorage[0].Pos[0] double 0.001 run scoreboard players get #XPosTemp sculptures.arrayHelper
execute store result storage minecraft:sculptures_storage sculptures.posStorage[0].Pos[1] double 0.001 run scoreboard players get #YPosTemp sculptures.arrayHelper
execute store result storage minecraft:sculptures_storage sculptures.posStorage[0].Pos[2] double 0.001 run scoreboard players get #ZPosTemp sculptures.arrayHelper
data modify storage minecraft:sculptures_storage sculptures.copiedData[0].CopiedObjects prepend value {Offset:[], DisplayData:{}, EntityType:"", Angle_Storage:0}
data modify storage minecraft:sculptures_storage sculptures.copiedData[0].CopiedObjects[0].Offset set from storage minecraft:sculptures_storage sculptures.posStorage[0].Pos
data modify storage minecraft:sculptures_storage sculptures.copiedData[0].CopiedObjects[0].DisplayData set from storage minecraft:sculptures_storage sculptures.posStorage[0].Data
data modify storage minecraft:sculptures_storage sculptures.copiedData[0].CopiedObjects[0].EntityType set from storage minecraft:sculptures_storage sculptures.posStorage[0].Type
data modify storage minecraft:sculptures_storage sculptures.copiedData[0].CopiedObjects[0].Angle_Storage set from storage minecraft:sculptures_storage sculptures.posStorage[0].Angle_Storage

data modify storage minecraft:sculptures_storage sculptures.posStorage append from storage minecraft:sculptures_storage sculptures.posStorage[0]
data remove storage minecraft:sculptures_storage sculptures.posStorage[0]

execute if score #ArraySize sculptures.arrayHelper matches 1.. run function sculptures:triggers/page5/step_through_copied_displays_for_offset