#
# Description:  Steps through copied displays and paste them
# Called by:	sculptures:triggers/page4/copy_within_5_blocks
# Entity @s:	Player
#

scoreboard players remove #ArraySize sculptures.arrayHelper 1

data modify storage minecraft:sculptures_storage sculptures.tempData set from storage minecraft:sculptures_storage sculptures.copiedData[0].CopiedObjects[0]
execute store result score #XPosTemp sculptures.arrayHelper run data get storage minecraft:sculptures_storage sculptures.tempData.Offset[0] 1000
execute store result score #YPosTemp sculptures.arrayHelper run data get storage minecraft:sculptures_storage sculptures.tempData.Offset[1] 1000
execute store result score #ZPosTemp sculptures.arrayHelper run data get storage minecraft:sculptures_storage sculptures.tempData.Offset[2] 1000

scoreboard players operation #XPosTemp sculptures.arrayHelper += #XPos sculptures.arrayHelper
scoreboard players operation #YPosTemp sculptures.arrayHelper += #YPos sculptures.arrayHelper
scoreboard players operation #ZPosTemp sculptures.arrayHelper += #ZPos sculptures.arrayHelper

execute store result storage minecraft:sculptures_storage sculptures.tempData.DisplayData.Pos[0] double 0.001 run scoreboard players get #XPosTemp sculptures.arrayHelper
execute store result storage minecraft:sculptures_storage sculptures.tempData.DisplayData.Pos[1] double 0.001 run scoreboard players get #YPosTemp sculptures.arrayHelper
execute store result storage minecraft:sculptures_storage sculptures.tempData.DisplayData.Pos[2] double 0.001 run scoreboard players get #ZPosTemp sculptures.arrayHelper

execute if data storage minecraft:sculptures_storage sculptures.tempData{EntityType:"block_display"} run summon block_display ~ ~ ~
execute if data storage minecraft:sculptures_storage sculptures.tempData{EntityType:"block_display"} as @e[type=block_display,limit=1,sort=nearest,nbt={block_state:{Name:"minecraft:air"}}] run tag @s add sculptures.display_just_added
execute if data storage minecraft:sculptures_storage sculptures.tempData{EntityType:"item_display"} run summon item_display ~ ~ ~
execute if data storage minecraft:sculptures_storage sculptures.tempData{EntityType:"item_display"} as @e[type=item_display,limit=1,sort=nearest,nbt=!{item:{}}] run tag @s add sculptures.display_just_added
execute if data storage minecraft:sculptures_storage sculptures.tempData{EntityType:"text_display"} run summon text_display ~ ~ ~
execute if data storage minecraft:sculptures_storage sculptures.tempData{EntityType:"text_display"} as @e[type=text_display,limit=1,sort=nearest,nbt={text:'""'}] run tag @s add sculptures.display_just_added


execute as @e[tag=sculptures.display_just_added] run data modify entity @s glow_color_override set from storage minecraft:sculptures_storage sculptures.tempData.DisplayData.glow_color_override
execute as @e[tag=sculptures.display_just_added] run data modify entity @s shadow_radius set from storage minecraft:sculptures_storage sculptures.tempData.DisplayData.shadow_radius
execute as @e[tag=sculptures.display_just_added] run data modify entity @s transformation set from storage minecraft:sculptures_storage sculptures.tempData.DisplayData.transformation
execute as @e[tag=sculptures.display_just_added] run data modify entity @s billboard set from storage minecraft:sculptures_storage sculptures.tempData.DisplayData.billboard
execute as @e[tag=sculptures.display_just_added] run data modify entity @s shadow_strength set from storage minecraft:sculptures_storage sculptures.tempData.DisplayData.shadow_strength
execute as @e[tag=sculptures.display_just_added] run data modify entity @s Rotation set from storage minecraft:sculptures_storage sculptures.tempData.DisplayData.Rotation
execute as @e[tag=sculptures.display_just_added] run data modify entity @s view_range set from storage minecraft:sculptures_storage sculptures.tempData.DisplayData.view_range
execute as @e[tag=sculptures.display_just_added] run data modify entity @s Pos set from storage minecraft:sculptures_storage sculptures.tempData.DisplayData.Pos
execute as @e[tag=sculptures.display_just_added] run data modify entity @s Glowing set from storage minecraft:sculptures_storage sculptures.tempData.DisplayData.Glowing
execute as @e[tag=sculptures.display_just_added] run scoreboard players enable @s sculptures.angle_storage
execute as @e[tag=sculptures.display_just_added] store result score @s sculptures.angle_storage run data get storage minecraft:sculptures_storage sculptures.tempData.Angle_Storage

execute as @e[type=block_display,tag=sculptures.display_just_added] run data modify entity @s block_state set from storage minecraft:sculptures_storage sculptures.tempData.DisplayData.block_state
execute as @e[type=item_display,tag=sculptures.display_just_added] run data modify entity @s item set from storage minecraft:sculptures_storage sculptures.tempData.DisplayData.item
execute as @e[type=text_display,tag=sculptures.display_just_added] run data modify entity @s text set from storage minecraft:sculptures_storage sculptures.tempData.DisplayData.text


tag @e remove sculptures.display_just_added

data modify storage minecraft:sculptures_storage sculptures.copiedData[0].CopiedObjects append from storage minecraft:sculptures_storage sculptures.copiedData[0].CopiedObjects[0]
data remove storage minecraft:sculptures_storage sculptures.copiedData[0].CopiedObjects[0]

execute if score #ArraySize sculptures.arrayHelper matches 1.. run function sculptures:triggers/page5/step_through_copied_displays_for_paste