#
# Description:  Toggle West block state changes
# Called by:	sculptures:page_7_trigger
# Entity @s:	Sculpture
#

execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{west:"false"}}}] run return run data modify entity @s block_state.Properties.west set value "true"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{west:"true"}}}] run return run data modify entity @s block_state.Properties.west set value "false"

execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{west:"none"}}}] unless entity @s[nbt={block_state:{Name:"minecraft:redstone_wire"}}] run return run data modify entity @s block_state.Properties.west set value "low"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{west:"low"}}}] run return run data modify entity @s block_state.Properties.west set value "tall"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{west:"tall"}}}] run return run data modify entity @s block_state.Properties.west set value "none"

execute if entity @s[tag=sculptures.selected,nbt={block_state:{Name:"minecraft:redstone_wire",Properties:{west:"none"}}}] run return run data modify entity @s block_state.Properties.west set value "side"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Name:"minecraft:redstone_wire",Properties:{west:"side"}}}] run return run data modify entity @s block_state.Properties.west set value "up"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Name:"minecraft:redstone_wire",Properties:{west:"up"}}}] run return run data modify entity @s block_state.Properties.west set value "none"