#
# Description:  Runs trigger functionality for page 3
# Called by:	sculptures:tick
# Entity @s:	Player
#

execute if entity @s[scores={sculptures.entity_mode=1}] at @s[scores={sculptures.entity_mode=1}] as @n[tag=!sculptures.locked,type=block_display,distance=..5] run tag @s add sculptures.selected
execute if entity @s[scores={sculptures.entity_mode=2}] at @s[scores={sculptures.entity_mode=2}] as @n[tag=!sculptures.locked,type=item_display,distance=..5] run tag @s add sculptures.selected
execute if entity @s[scores={sculptures.entity_mode=3}] at @s[scores={sculptures.entity_mode=3}] as @n[tag=!sculptures.locked,type=text_display,distance=..5] run tag @s add sculptures.selected

#Copy scoreboard to armor stand
scoreboard players operation @e[type=#display_entities,tag=sculptures.selected] sculptures.trigger = @s sculptures.trigger
scoreboard players operation @e[type=#display_entities,tag=sculptures.selected] sculptures.nudge_increment = @s sculptures.nudge_increment
scoreboard players operation @e[type=#display_entities,tag=sculptures.selected] sculptures.scale_nudge_increment = @s sculptures.scale_nudge_increment
scoreboard players operation @e[type=#display_entities,tag=sculptures.selected] sculptures.rotation_increment = @s sculptures.rotation_increment
scoreboard players operation @e[type=#display_entities,tag=sculptures.selected] sculptures.transformation_mode = @s sculptures.transformation_mode
scoreboard players operation @e[type=#display_entities,tag=sculptures.selected] sculptures.aspect_ratio_lock = @s sculptures.aspect_ratio_lock

#Set Mode: Position
execute if entity @s[scores={sculptures.trigger=301}] run function sculptures:triggers/page3/set_mode_pivot

#Set Mode: Position
execute if entity @s[scores={sculptures.trigger=302}] run function sculptures:triggers/page3/set_mode_position

#Set Mode: Rotation
execute if entity @s[scores={sculptures.trigger=303}] run function sculptures:triggers/page3/set_mode_rotation

#Set Mode: Scale
execute if entity @s[scores={sculptures.trigger=304}] run function sculptures:triggers/page3/set_mode_scale

#Toggle Aspect Ratio locking
execute if entity @s[scores={sculptures.trigger=305}] run function sculptures:triggers/page3/toggle_aspect_ratio_lock

execute if entity @s[scores={sculptures.trigger=306..311,sculptures.transformation_mode=1}] as @e[tag=sculptures.selected] run function sculptures:triggers/page3/normal_increment
execute if entity @s[scores={sculptures.trigger=306..311,sculptures.transformation_mode=2}] as @e[tag=sculptures.selected] run function sculptures:triggers/page3/normal_increment
execute if entity @s[scores={sculptures.trigger=306..311,sculptures.transformation_mode=3}] as @e[tag=sculptures.selected] run function sculptures:triggers/page3/normal_increment
execute if entity @s[scores={sculptures.trigger=306..311,sculptures.transformation_mode=4,sculptures.aspect_ratio_lock=-1}] as @e[tag=sculptures.selected] run function sculptures:triggers/page3/normal_increment
execute if entity @s[scores={sculptures.trigger=306..311,sculptures.transformation_mode=4,sculptures.aspect_ratio_lock=1}] as @e[tag=sculptures.selected] run function sculptures:triggers/page3/aspect_ratio_increment

execute if entity @s[scores={sculptures.trigger=312..317}] run function sculptures:triggers/page3/set_mode_position
execute unless entity @s[scores={sculptures.transformation_mode=1}] if entity @s[scores={sculptures.trigger=318..323}] run function sculptures:triggers/page3/set_mode_scale
execute unless entity @s[scores={sculptures.transformation_mode=4}] if entity @s[scores={sculptures.trigger=318..323}] run function sculptures:triggers/page3/set_mode_pivot
execute if entity @s[scores={sculptures.trigger=324..329}] run function sculptures:triggers/page3/set_mode_rotation

#Set nudge increment to 0.5
execute if entity @s[scores={sculptures.trigger=312}] run scoreboard players set @s sculptures.nudge_increment 0

#Set nudge increment to 1
execute if entity @s[scores={sculptures.trigger=313}] run scoreboard players set @s sculptures.nudge_increment 1

#Set nudge increment to 3
execute if entity @s[scores={sculptures.trigger=314}] run scoreboard players set @s sculptures.nudge_increment 3

#Set nudge increment to 8
execute if entity @s[scores={sculptures.trigger=315}] run scoreboard players set @s sculptures.nudge_increment 8

#Set nudge increment to 16
execute if entity @s[scores={sculptures.trigger=316}] run scoreboard players set @s sculptures.nudge_increment 16

#Set nudge increment to 32
execute if entity @s[scores={sculptures.trigger=317}] run scoreboard players set @s sculptures.nudge_increment 32

#Set scale increment to 1%
execute if entity @s[scores={sculptures.trigger=318}] run scoreboard players set @s sculptures.scale_nudge_increment 100

#Set scale increment to 5%
execute if entity @s[scores={sculptures.trigger=319}] run scoreboard players set @s sculptures.scale_nudge_increment 500

#Set scale increment to 20%
execute if entity @s[scores={sculptures.trigger=320}] run scoreboard players set @s sculptures.scale_nudge_increment 2000

#Set scale increment to 50%
execute if entity @s[scores={sculptures.trigger=321}] run scoreboard players set @s sculptures.scale_nudge_increment 5000

#Set scale increment to 100%
execute if entity @s[scores={sculptures.trigger=322}] run scoreboard players set @s sculptures.scale_nudge_increment 10000

#Set scale increment to 200%
execute if entity @s[scores={sculptures.trigger=323}] run scoreboard players set @s sculptures.scale_nudge_increment 20000

#Set rotation increment to 1
execute if entity @s[scores={sculptures.trigger=324}] run scoreboard players set @s sculptures.rotation_increment 1

#Set rotation increment to 5
execute if entity @s[scores={sculptures.trigger=325}] run scoreboard players set @s sculptures.rotation_increment 5

#Set rotation increment to 15
execute if entity @s[scores={sculptures.trigger=326}] run scoreboard players set @s sculptures.rotation_increment 15

#Set rotation increment to 45
execute if entity @s[scores={sculptures.trigger=327}] run scoreboard players set @s sculptures.rotation_increment 45

#Set rotation increment to 90
execute if entity @s[scores={sculptures.trigger=328}] run scoreboard players set @s sculptures.rotation_increment 90

#Set rotation increment to 180
execute if entity @s[scores={sculptures.trigger=329}] run scoreboard players set @s sculptures.rotation_increment 180