#
# Description:  Runs trigger functionality for page 4
# Called by:	sculptures:tick
# Entity @s:	Player
#

execute if entity @s[scores={sculptures.entity_mode=1}] at @s[scores={sculptures.entity_mode=1}] as @n[tag=!sculptures.locked,type=block_display,distance=..5] run tag @s add sculptures.selected
execute if entity @s[scores={sculptures.entity_mode=2}] at @s[scores={sculptures.entity_mode=2}] as @n[tag=!sculptures.locked,type=item_display,distance=..5] run tag @s add sculptures.selected
execute if entity @s[scores={sculptures.entity_mode=3}] at @s[scores={sculptures.entity_mode=3}] as @n[tag=!sculptures.locked,type=text_display,distance=..5] run tag @s add sculptures.selected

#Copy scoreboard to armor stand
scoreboard players operation @e[type=#display_entities,tag=sculptures.selected] sculptures.trigger = @s sculptures.trigger
scoreboard players operation @e[type=#display_entities,tag=sculptures.selected] sculptures.nudge_increment = @s sculptures.nudge_increment

#Set brightness mode to default
execute if entity @s[scores={sculptures.trigger=401}] as @e[tag=sculptures.selected] run data remove entity @s brightness
execute if entity @s[scores={sculptures.trigger=401}] as @e[tag=sculptures.selected] run function sculptures:triggers/page2/display_target

#Set brightness mode to modified
execute if entity @s[scores={sculptures.trigger=402}] as @e[tag=sculptures.selected] run data modify entity @s brightness set value {sky:15,block:15}
execute if entity @s[scores={sculptures.trigger=401}] as @e[tag=sculptures.selected] run function sculptures:triggers/page2/display_target

#Increase brightness
execute if entity @s[scores={sculptures.trigger=403}] as @e[tag=sculptures.selected] run function sculptures:triggers/page4/increase_brightness

#Decrease brightness
execute if entity @s[scores={sculptures.trigger=404}] as @e[tag=sculptures.selected] run function sculptures:triggers/page4/decrease_brightness

#Increase shadow radius
execute if entity @s[scores={sculptures.trigger=405}] as @e[tag=sculptures.selected] run function sculptures:triggers/page4/increase_shadow_radius

#Decrease shadow radius
execute if entity @s[scores={sculptures.trigger=406}] as @e[tag=sculptures.selected] run function sculptures:triggers/page4/decrease_shadow_radius

#Increase shadow strength
execute if entity @s[scores={sculptures.trigger=407}] as @e[tag=sculptures.selected] run function sculptures:triggers/page4/increase_shadow_strength

#Decrease shadow strength
execute if entity @s[scores={sculptures.trigger=408}] as @e[tag=sculptures.selected] run function sculptures:triggers/page4/decrease_shadow_strength

#Teleport to Player
execute if entity @s[scores={sculptures.trigger=409}] run data modify entity @e[tag=sculptures.selected,limit=1] Pos set from entity @s Pos
execute if entity @s[scores={sculptures.trigger=409}] as @e[type=!block_display,tag=sculptures.selected] at @s run tp ~ ~1 ~
execute if entity @s[scores={sculptures.trigger=409}] as @e[type=block_display,tag=sculptures.selected] at @s run tp ~-0.5 ~ ~-0.5

#Align to Grid
execute if entity @s[scores={sculptures.trigger=410}] as @e[type=block_display,tag=sculptures.selected] at @s align xyz run tp @s ~ ~ ~
execute if entity @s[scores={sculptures.trigger=410}] as @e[type=item_display,tag=sculptures.selected] at @s align xyz run tp @s ~0.5 ~0.5 ~0.5
execute if entity @s[scores={sculptures.trigger=410}] as @e[type=text_display,tag=sculptures.selected] at @s align xyz run tp @s ~0.5 ~0.5 ~0.5

#Mount Boat
execute if entity @s[scores={sculptures.trigger=411}] as @e[tag=sculptures.selected] run ride @s mount @e[type=boat,limit=1,sort=nearest,distance=..5]

#Mount Minecart
execute if entity @s[scores={sculptures.trigger=412}] as @e[tag=sculptures.selected] run ride @s mount @e[type=minecart,limit=1,sort=nearest,distance=..5]

#Mount Armor Stand
execute if entity @s[scores={sculptures.trigger=413}] as @e[tag=sculptures.selected] run ride @s mount @e[type=armor_stand,limit=1,sort=nearest,distance=..5]

#Dismount
execute if entity @s[scores={sculptures.trigger=414}] as @e[tag=sculptures.selected] run ride @s dismount