#
# Description:  Runs trigger functionality for page 6
# Called by:	sculptures:tick
# Entity @s:	Player
#

execute if entity @s[scores={sculptures.entity_mode=2}] at @s[scores={sculptures.entity_mode=2}] as @n[tag=!sculptures.locked,type=item_display,distance=..5] run tag @s add sculptures.selected

#Set Item Display: None
execute if entity @s[scores={sculptures.trigger=604}] as @e[tag=sculptures.selected] run data modify entity @s item_display set value "none"

#Set Item Display: Fixed
execute if entity @s[scores={sculptures.trigger=605}] as @e[tag=sculptures.selected] run data modify entity @s item_display set value "fixed"

#Set Item Display: 3rd Person Left
execute if entity @s[scores={sculptures.trigger=606}] as @e[tag=sculptures.selected] run data modify entity @s item_display set value "thirdperson_lefthand"

#Set Item Display: 3rd Person Right
execute if entity @s[scores={sculptures.trigger=607}] as @e[tag=sculptures.selected] run data modify entity @s item_display set value "thirdperson_righthand"

#Set Item Display: 1st Person Left
execute if entity @s[scores={sculptures.trigger=608}] as @e[tag=sculptures.selected] run data modify entity @s item_display set value "firstperson_lefthand"

#Set Item Display: 1st Person Right
execute if entity @s[scores={sculptures.trigger=609}] as @e[tag=sculptures.selected] run data modify entity @s item_display set value "firstperson_righthand"

#Set Item Display: Head
execute if entity @s[scores={sculptures.trigger=610}] as @e[tag=sculptures.selected] run data modify entity @s item_display set value "head"

#Set Item Display: Gui
execute if entity @s[scores={sculptures.trigger=611}] as @e[tag=sculptures.selected] run data modify entity @s item_display set value "gui"

#Set Item Display: Ground
execute if entity @s[scores={sculptures.trigger=612}] as @e[tag=sculptures.selected] run data modify entity @s item_display set value "ground"

#Enchantment glint toggle
execute if entity @s[scores={sculptures.trigger=613}] as @e[tag=sculptures.selected,nbt=!{item:{components:{"minecraft:enchantment_glint_override":true}}}] run return run data modify entity @s item.components.minecraft:enchantment_glint_override set value true
execute if entity @s[scores={sculptures.trigger=613}] as @e[tag=sculptures.selected,nbt={item:{components:{"minecraft:enchantment_glint_override":true}}}] run return run data modify entity @s item.components.minecraft:enchantment_glint_override set value false