#
# Description:  Runs trigger functionality for page 7
# Called by:	sculptures:tick
# Entity @s:	Player
#

execute if entity @s[scores={sculptures.entity_mode=1}] at @s[scores={sculptures.entity_mode=1}] as @n[tag=!sculptures.locked,type=block_display,distance=..5] run tag @s add sculptures.selected

#Toggle North block state
execute if entity @s[scores={sculptures.trigger=701}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/north

#Toggle East block state
execute if entity @s[scores={sculptures.trigger=702}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/east

#Toggle South block state
execute if entity @s[scores={sculptures.trigger=703}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/south

#Toggle West block state
execute if entity @s[scores={sculptures.trigger=704}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/west

#Toggle Up block state
execute if entity @s[scores={sculptures.trigger=705}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/up

#Toggle Down block state
execute if entity @s[scores={sculptures.trigger=706}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/down

#Toggle Powered block state
execute if entity @s[scores={sculptures.trigger=707}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/powered

#Toggle Lit block state
execute if entity @s[scores={sculptures.trigger=708}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/lit

#Toggle HasBottle0 block state
execute if entity @s[scores={sculptures.trigger=709}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/has_bottle_0

#Toggle HasBottle1 block state
execute if entity @s[scores={sculptures.trigger=710}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/has_bottle_1

#Toggle HasBottle2 block state
execute if entity @s[scores={sculptures.trigger=711}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/has_bottle_2

#Toggle SlotOccupied0 block state
execute if entity @s[scores={sculptures.trigger=712}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/slot_occupied_0

#Toggle SlotOccupied1 block state
execute if entity @s[scores={sculptures.trigger=713}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/slot_occupied_1

#Toggle SlotOccupied2 block state
execute if entity @s[scores={sculptures.trigger=714}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/slot_occupied_2

#Toggle SlotOccupied3 block state
execute if entity @s[scores={sculptures.trigger=715}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/slot_occupied_3

#Toggle SlotOccupied4 block state
execute if entity @s[scores={sculptures.trigger=716}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/slot_occupied_4

#Toggle SlotOccupied5 block state
execute if entity @s[scores={sculptures.trigger=717}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/slot_occupied_5

#Toggle Inverted block state
execute if entity @s[scores={sculptures.trigger=718}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/inverted

#Toggle Open block state
execute if entity @s[scores={sculptures.trigger=719}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/open

#Toggle Snowy block state
execute if entity @s[scores={sculptures.trigger=720}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/snowy

#Toggle Hanging block state
execute if entity @s[scores={sculptures.trigger=721}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/hanging

#Toggle Extended block state
execute if entity @s[scores={sculptures.trigger=722}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/extended

#Toggle Locked block state
execute if entity @s[scores={sculptures.trigger=723}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/locked

#Toggle Bottom block state
execute if entity @s[scores={sculptures.trigger=724}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/bottom

#Toggle Half block state
execute if entity @s[scores={sculptures.trigger=725}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/half

#Toggle Berries block state
execute if entity @s[scores={sculptures.trigger=726}] as @n[tag=sculptures.selected] run function sculptures:triggers/page7/berries