#
# Description:  Runs book functionality every tick
# Called by:	sculptures:load
# Entity @s:	None
#

#Call function again
schedule function sculptures:tick 1t

#execute as @a[scores={if_invisible=1..}] at @s run scoreboard players set @s sculptures.trigger 603
#execute as @a[scores={if_visible=1..}] at @s run scoreboard players set @s sculptures.trigger 604

execute as @a[scores={sculptures.trigger=200..299}] at @s run function sculptures:page_2_trigger

execute as @a[scores={sculptures.trigger=300..399}] at @s run function sculptures:page_3_trigger

execute as @a[scores={sculptures.trigger=400..499}] at @s run function sculptures:page_4_trigger

execute as @a[scores={sculptures.trigger=500..599}] at @s run function sculptures:page_5_trigger

execute as @a[scores={sculptures.trigger=600..699}] at @s run function sculptures:page_6_trigger

execute as @a[scores={sculptures.trigger=700..799}] at @s run function sculptures:page_7_trigger

execute as @a[scores={sculptures.trigger=800..899}] at @s run function sculptures:page_8_trigger

execute as @a[scores={sculptures.trigger=900..999}] at @s run function sculptures:page_9_trigger

execute as @a[scores={sculptures.trigger=1000..1099}] at @s run function sculptures:page_10_trigger

execute as @a[scores={sculptures.glow_color=..-1}] at @s run function sculptures:update_glow_color
execute as @a[scores={sculptures.text_opacity=0..255}] at @s run function sculptures:update_text_transparency
execute as @a[scores={sculptures.line_width=1..}] at @s run function sculptures:update_line_width

tag @a remove sculptures.selected
tag @e[type=#minecraft:display_entities,tag=sculptures.selected] remove sculptures.selected
scoreboard players set @a sculptures.trigger 0
scoreboard players set @a sculptures.glow_color 0
scoreboard players set @a sculptures.line_width 0
scoreboard players set @a sculptures.text_opacity -1
scoreboard players enable @a sculptures.trigger
scoreboard players enable @a sculptures.glow_color
scoreboard players enable @a sculptures.text_opacity
scoreboard players enable @a sculptures.line_width