#
# Description:  Toggle East block state changes
# Called by:	sculptures:page_7_trigger
# Entity @s:	Sculpture
#

execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{east:"false"}}}] run return run data modify entity @s block_state.Properties.east set value "true"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{east:"true"}}}] run return run data modify entity @s block_state.Properties.east set value "false"

execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{east:"none"}}}] unless entity @s[nbt={block_state:{Name:"minecraft:redstone_wire"}}] run return run data modify entity @s block_state.Properties.east set value "low"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{east:"low"}}}] run return run data modify entity @s block_state.Properties.east set value "tall"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{east:"tall"}}}] run return run data modify entity @s block_state.Properties.east set value "none"

execute if entity @s[tag=sculptures.selected,nbt={block_state:{Name:"minecraft:redstone_wire",Properties:{east:"none"}}}] run return run data modify entity @s block_state.Properties.east set value "side"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Name:"minecraft:redstone_wire",Properties:{east:"side"}}}] run return run data modify entity @s block_state.Properties.east set value "up"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Name:"minecraft:redstone_wire",Properties:{east:"up"}}}] run return run data modify entity @s block_state.Properties.east set value "none"
