#
# Description:  Toggle South block state changes
# Called by:	sculptures:page_7_trigger
# Entity @s:	Sculpture
#

execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{south:"false"}}}] run return run data modify entity @s block_state.Properties.south set value "true"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{south:"true"}}}] run return run data modify entity @s block_state.Properties.south set value "false"

execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{south:"none"}}}] unless entity @s[nbt={block_state:{Name:"minecraft:redstone_wire"}}] run return run data modify entity @s block_state.Properties.south set value "low"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{south:"low"}}}] run return run data modify entity @s block_state.Properties.south set value "tall"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Properties:{south:"tall"}}}] run return run data modify entity @s block_state.Properties.south set value "none"

execute if entity @s[tag=sculptures.selected,nbt={block_state:{Name:"minecraft:redstone_wire",Properties:{south:"none"}}}] run return run data modify entity @s block_state.Properties.south set value "side"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Name:"minecraft:redstone_wire",Properties:{south:"side"}}}] run return run data modify entity @s block_state.Properties.south set value "up"
execute if entity @s[tag=sculptures.selected,nbt={block_state:{Name:"minecraft:redstone_wire",Properties:{south:"up"}}}] run return run data modify entity @s block_state.Properties.south set value "none"